<div class="wrap">
	<h1><?php esc_html_e( 'Saved Cart', 'woo-cart-share' ); ?></h1>
	<?php if ( isset( $_POST['wcss_send_saved_cart_send'] ) ) : ?>
		<div class="notice notice-success is-dismissible">
			<p><strong><?php esc_html_e( 'Email sent.', 'woo-cart-share' ); ?></strong></p>
		</div>
	<?php endif; ?>
	<?php if ( isset( $_GET['wcss_shared_cart_successfully_saved'] ) ) : ?>
		<div class="notice notice-success is-dismissible">
			<p><strong><?php esc_html_e( 'Cart successfully saved for selected user.', 'woo-cart-share' ); ?></strong></p>
		</div>
	<?php endif; ?>
	<hr>

	<a href="<?php echo esc_url( admin_url( 'admin.php?page=woocommerce-cart-share_shared-cart' ) ); ?>" class="button button-secondary">
		<?php esc_html_e( 'Go Back', 'woo-cart-share' ); ?>
	</a>

	<div class="wcss-saved-cart-view">

		<!-- Column 1 -->
		<div class="wcss-saved-cart-view__col1">
			<div class="wcss-card wcss-card--filled">
				<div class="wcss-card__header">
					<h3 class="wcss-card__title"><?php esc_html_e( 'Cart', 'woo-cart-share' ); ?></h3>
				</div>
				<div class="wcss-card__body">

					<div id="wcss-cart">
						<div class="fa-spinner-wrapper">

							<div class="wcss-spinner">
								<div class="wcss-dot1"></div>
								<div class="wcss-dot2"></div>
							</div>

						</div>
					</div>

				</div>
			</div>
		</div>
		<!-- .Column 1 -->

		<!-- Column 2 -->
		<div class="wcss-saved-cart-view__col2">

			<?php
			/**
			 * Hook before view cart widgets.
			 *
			 * @since 2.0.2
			 *
			 * @param WCSS_Share_Cart $shared_cart WCSS_Share_Cart object.
			 * @param WCSS_Saved_Cart $saved_cart  WCSS_Saved_Cart object.
			 */
			do_action( 'wcss_before_view_cart_page_widgets', $shared_cart, $saved_cart );
			?>

			<?php
			if ( $saved_cart->is_exists() ) {
				$saved_cart_user = get_user_by( 'ID', $saved_cart->get_user_id() );
			}

			$shared_cart_user = get_user_by( 'ID', $shared_cart->get_cart_shared_by() );
			?>
			<div class="wcss-card wcss-card--filled">
				<div class="wcss-card__header">
					<h3 class="wcss-card__title"><?php esc_html_e( 'Cart Information', 'woo-cart-share' ); ?></h3>
				</div>

				<div class="wcss-card__body">

					<table style="width: 100%;">
						<!-- Saved cart by logged in user. -->
						<?php if ( $saved_cart->is_exists() ) : ?>
						<tr>
							<td><?php esc_html_e( 'Saved By', 'woo-cart-share' ); ?></td>
							<td>
							<?php
								echo wp_kses_post(
									wp_sprintf(
										'<a href="%s">%s</a>',
										esc_url( admin_url( 'user-edit.php?user_id=' . $saved_cart_user->get_user_id() ) ),
										esc_html( $saved_cart_user->user_login )
									)
								);
							?>
						</tr>
						<tr>
							<td><?php esc_html_e( 'User Email', 'woo-cart-share' ); ?></td>
							<td><?php echo wp_kses_post( wp_sprintf( '<a href="mailto:%1$s">%1$s</a>', esc_html( $saved_cart_user->user_email ) ) ); ?></td>
						</tr>
						<tr>
							<td><?php esc_html_e( 'Cart Name', 'woo-cart-share' ); ?></td>
							<td><?php echo esc_html( $saved_cart->get_cart_name() ); ?></td>
						</tr>
						<tr>
							<td><?php esc_html_e( 'Saved At', 'woo-cart-share' ); ?></td>
							<td><?php echo esc_html( wcss_date( $saved_cart->get_cart_saved() ) ); ?></td>
						</tr>
						<!-- END Saved cart by logged in user. -->
						<?php else : ?>
							<!-- Shared cart by logged in user. -->
							<?php if ( $shared_cart_user ) : ?>
							<tr>
								<td><?php esc_html_e( 'Shared By', 'woo-cart-share' ); ?></td>
								<td>
								<?php
									echo wp_kses_post(
										wp_sprintf(
											__( '<a href="%s">%s</a>', 'woo-cart-share' ),
											esc_url( admin_url( 'user-edit.php?user_id=' . $shared_cart_user->get_cart_shared_by() ) ),
											esc_html( $shared_cart_user->user_login )
										)
									);
								?>
								</td>
							</tr>
							<tr>
								<td><?php esc_html_e( 'User Email', 'woo-cart-share' ); ?></td>
								<td><?php echo wp_kses_post( wp_sprintf( '<a href="mailto:%1$s">%1$s</a>', esc_html( $shared_cart_user->user_email ) ) ); ?></td>
							</tr>
							<!-- END Shared cart by logged in user. -->
							<?php else : ?>
							<!-- Shared cart by guest. -->
							<tr>
								<td><?php esc_html_e( 'Shared By', 'woo-cart-share' ); ?></td>
								<td><?php esc_html_e( 'Guest', 'woo-cart-share' ); ?></td>
							</tr>
							<!-- END Shared cart by guest. -->
							<?php endif; ?>
							<tr>
								<td><?php esc_html_e( 'Shared At', 'woo-cart-share' ); ?></td>
								<td><?php echo esc_html( wcss_date( $shared_cart->get_cart_created() ) ); ?></td>
							</tr>
						<?php endif; ?>
					</table>

				</div>

			</div>

			<div class="wcss-card wcss-card--filled">
				<div class="wcss-card__header">
					<h3 class="wcss-card__title"><?php esc_html_e( 'Email Cart', 'woo-cart-share' ); ?></h3>
				</div>

				<div class="wcss-card__body">

					<form action="#" method="post">
						<input type="hidden" name="wcss_send_saved_cart[body]">

						<div>
							<strong><label for="wcss_send_saved_cart[subject]"><?php esc_html_e( 'Email Subject', 'woo-cart-share' ); ?></label></strong>
							<div>
								<input type="text" class="regular-text" name="wcss_send_saved_cart[subject]" id="wcss_send_saved_cart[subject]" required>
								<p class="description"><?php esc_html_e( 'Enter the subject of an email.', 'woo-cart-share' ); ?></p>
							</div>
						</div>
						<div>
							<strong><label for="wcss_send_saved_cart[to]"><?php esc_html_e( 'Email To', 'woo-cart-share' ); ?></label></strong>
							<div>
								<input type="text" class="regular-text" name="wcss_send_saved_cart[to]" id="wcss_send_saved_cart[to]" required>
								<p class="description"><?php esc_html_e( 'Use comma (,) for multiple emails', 'woo-cart-share' ); ?></p>
								<p class="description"><?php esc_html_e( 'Enter the email(s) where you want to send this saved cart.', 'woo-cart-share' ); ?></p>
							</div>
						</div>

						<div>
							<?php submit_button( esc_html__( 'Send Mail', 'woo-cart-share' ), 'primary', 'wcss_send_saved_cart_send' ); ?>
						</div>

					</form>

				</div>

			</div>

			<div class="wcss-card wcss-card--filled">
				<div class="wcss-card__header">
					<h3 class="wcss-card__title"><?php esc_html_e( 'Print Cart', 'woo-cart-share' ); ?></h3>
				</div>

				<div class="wcss-card__body">

					<a href="#" id="wcss-print-saved-cart" class="button button-primary">
						<?php esc_html_e( 'Print Cart', 'woo-cart-share' ); ?>
					</a>

				</div>

			</div>

			<?php if ( ! $saved_cart->is_exists() ) : ?>

			<div class="wcss-card wcss-card--filled">
				<div class="wcss-card__header">
					<h3 class="wcss-card__title"><?php esc_html_e( 'Save Cart for User', 'woo-cart-share' ); ?></h3>
				</div>

				<div class="wcss-card__body">

					<form action="#" method="post">
						<?php wp_nonce_field( 'wcss_admin_save_shared_cart_for_user', 'wcss_admin_save_shared_cart_for_user' ); ?>
						<input type="hidden" name="cart_key" value="<?php echo esc_attr( $shared_cart->get_cart_key() ); ?>">
						<div>
							<strong><?php esc_html_e( 'Cart Name', 'woo-cart-share' ); ?></strong>
							<div>
								<?php
									WCSS_Settings::field_text( array(
										'name'       => 'cart_name',
										'attributes' => array(
											'required' => 'required',
										),
									) );
								?>
								<p class="description"><?php esc_html_e( 'Enter the cart name.', 'woo-cart-share' ); ?></p>
							</div>
						</div>

						<div>
							<strong><?php esc_html_e( 'Select Customer', 'woo-cart-share' ); ?></strong>
							<div>
								<?php
									WCSS_Settings::field_select( array(
										'name'    => 'user_id',
										'classes' => 'wcss-select2 regular-text',
										'options' => array(
											'wp_user_query' => array(
												'role'    => 'customer',
												'order'   => 'ASC',
												'orderby' => 'display_name',
											),
										),
									) );
								?>
								<p class="description"><?php esc_html_e( 'Select the customer for whom you want to save this cart.', 'woo-cart-share' ); ?></p>
							</div>
						</div>

						<div>
							<?php submit_button( esc_html__( 'Save', 'woo-cart-share' ), 'primary' ); ?>
						</div>

					</form>

				</div>

			</div>

			<?php endif; ?>

			<?php
			/**
			 * Hook after view cart widgets.
			 *
			 * @since 2.0.2
			 *
			 * @param WCSS_Share_Cart $shared_cart WCSS_Share_Cart object.
			 * @param WCSS_Saved_Cart $saved_cart  WCSS_Saved_Cart object.
			 */
			do_action( 'wcss_after_view_cart_page_widgets', $shared_cart, $saved_cart );
			?>

		</div>
		<!-- .Column 2 -->

	</div>

</div>
