<?php
defined( 'ABSPATH' ) || exit;

/**
 * Allow override templates for old format /wcss/templates/.
 *
 * @deprecated 1.7.9
 * @see wcss_get_template()
 *
 * @param string $template
 * @param string $template_name
 * @param array  $args
 * @return void
 */
function deprecated_wcss_get_template_old_templates_override( $template, $template_name, $args ) {

	$template_file = get_stylesheet_directory() . '/wcss/templates/' . $template_name;

	if ( file_exists( $template_file ) ) {
		$template = $template_file;
	}

	return $template;
}

add_filter( 'wcss_get_template', 'deprecated_wcss_get_template_old_templates_override', 50, 3 );


/**
 * Increment the retrieved cart value by one.
 *
 * @deprecated 2.0.0
 *
 * @param string $cart_key Cart key.
 * @return bool True on success, false otherwise.
 */
function wcss_cart_retrieved_increment( $cart_key ) {
	_deprecated_function( __FUNCTION__, '2.0.0', 'wcss_shared_cart_retrieved_count_increment' );

	return wcss_shared_cart_retrieved_count_increment( $cart_key );
}

/**
 * Get shared care retrieved time.
 *
 * @deprecated 2.0.0
 *
 * @param string $cart_key Cart key.
 * @return string|bool Returns cart retrieved time on success, false otherwise.
 */
function wcss_get_cart_retrieved_time( $cart_key ) {
	_deprecated_function( __FUNCTION__, '2.0.0', 'wcss_get_shared_cart_retrieved_time' );

	return wcss_get_shared_cart_retrieved_time( $cart_key );
}

/**
 * Get the shared cart retrieved count.
 *
 * @deprecated 2.0.0
 *
 * @param string $cart_key Cart key.
 * @return int Returns cart retrieved count on success, false otherwise.
 */
function wcss_get_cart_retrieved( $cart_key ) {
	_deprecated_function( __FUNCTION__, '2.0.0', 'wcss_get_shared_cart_retrieved_count' );

	return wcss_get_shared_cart_retrieved_count( $cart_key );
}

/**
 * Set shared cart retrieved time.
 *
 * @deprecated 2.0.0
 *
 * @param string $cart_key Cart key.
 * @return bool True on success, false otherwise.
 */
function wcss_set_cart_retrieved_time( $cart_key ) {
	_deprecated_hook( __FUNCTION__, '2.0.0', 'wcss_set_shared_cart_retrieved_time' );

	return wcss_set_shared_cart_retrieved_time( $cart_key );
}

/**
 * Get saved carts by user ID.
 *
 * @deprecated 2.0.0
 *
 * @param int $user_id User ID.
 * @return array list of saved carts.
 */
function wcss_get_saved_cart_by_user_id( $user_id ) {
	_deprecated_hook( __FUNCTION__, '2.0.0', 'wcss_get_saved_carts_by_user_id' );

	return wcss_get_saved_carts_by_user_id( $user_id );
}
